=== modified file 'include/Makefile.am'
--- include/Makefile.am	2008-07-18 19:47:24 +0000
+++ include/Makefile.am	2008-07-22 16:27:33 +0000
@@ -15,90 +15,88 @@
 # Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 # MA 02111-1307, USA
 
-BUILT_SOURCES =							$(HEADERS_GEN) 
-
-HEADERS_GEN =								drizzle_version.h
-
-HEADERS_ABI =								drizzle.h \
-														drizzle_com.h \
-														drizzle_time.h \
-														my_list.h \
-														my_alloc.h \
-														typelib.h \
-														mysql/plugin.h \
-														mysql/plugin_audit.h
-
-pkginclude_HEADERS =				$(HEADERS_ABI) \
-														m_string.h \
-														my_sys.h \
-														my_xml.h \
-														my_pthread.h \
-														decimal.h \
-														errmsg.h \
-														my_global.h \
-														my_net.h \
-														my_getopt.h \
-														my_dir.h \
-														sql_common.h \
-														keycache.h \
-														m_ctype.h \
-														my_attribute.h \
-														$(HEADERS_GEN)
-
-noinst_HEADERS =						my_bit.h \
-														heap.h \
-														my_bitmap.h \
-														my_uctype.h \
-														myisam.h \
-														myisampack.h \
-														myisammrg.h \
-														mysys_err.h \
-														my_base.h \
-														help_start.h \
-														help_end.h \
-														my_nosys.h \
-														queues.h \
-														sha1.h \
-														sha2.h \
-														my_tree.h \
-														my_trie.h \
-														hash.h \
-														thr_alarm.h \
-														thr_lock.h \
-														t_ctype.h \
-														violite.h \
-														my_md5.h \
-														base64.h \
-														drizzle_version.h.in \
-														my_handler.h \
-														my_time.h
+BUILT_SOURCES =		$(HEADERS_GEN) 
+
+HEADERS_GEN =		drizzle_version.h
+
+HEADERS_ABI =		drizzle.h \
+			drizzle_com.h \
+			drizzle_time.h \
+			my_list.h \
+			my_alloc.h \
+			typelib.h \
+			mysql/plugin.h \
+			mysql/plugin_audit.h
+
+pkginclude_HEADERS =	$(HEADERS_ABI) \
+			m_string.h \
+			my_sys.h \
+			my_xml.h \
+			my_pthread.h \
+			decimal.h \
+			errmsg.h \
+			my_global.h \
+			my_net.h \
+			my_getopt.h \
+			my_dir.h \
+			sql_common.h \
+			keycache.h \
+			m_ctype.h \
+			my_attribute.h \
+			$(HEADERS_GEN)
+
+noinst_HEADERS =	my_bit.h \
+			heap.h \
+			my_bitmap.h \
+			my_uctype.h \
+			myisam.h \
+			myisampack.h \
+			myisammrg.h \
+			mysys_err.h \
+			my_base.h \
+			help_start.h \
+			help_end.h \
+			my_nosys.h \
+			queues.h \
+			sha1.h \
+			sha2.h \
+			my_tree.h \
+			my_trie.h \
+			hash.h \
+			thr_alarm.h \
+			thr_lock.h \
+			t_ctype.h \
+			violite.h \
+			my_md5.h \
+			base64.h \
+			drizzle_version.h.in \
+			my_handler.h \
+			my_time.h
 
 # Remove built files and the symlinked directories
-CLEANFILES =            		$(BUILT_SOURCES)
+CLEANFILES = 		$(BUILT_SOURCES)
 
-EXTRA_DIST =            		drizzle_h.ic
+EXTRA_DIST = 		drizzle_h.ic
 
 # Some include files that may be moved and patched by configure
-DISTCLEANFILES =						sched.h \
-														$(CLEANFILES)
+DISTCLEANFILES =	sched.h \
+			$(CLEANFILES)
 
 # These files should not be included in distributions since they are
 # generated by configure from the .h.in files
 dist-hook:
-														$(RM) -f $(distdir)/drizzle_version.h 
+	$(RM) -f $(distdir)/drizzle_version.h 
 
 #
 # Rules for checking that ABI has not changed
 #
 
 # Create a icheck file and compare it to the reference
-abi_check: 									$(HEADERS_ABI) \
-														drizzle_version.h \
-														mysql_h.ic
-														@set -ex; \
-														if [ @ICHECK@ != no ] ; then \
-															@ICHECK@ --canonify --skip-from-re /usr/ -o $@ $(HEADERS_ABI); \
-															@ICHECK@ --compare drizzle_h.ic $@; \
-														fi; \
-														touch abi_check;
+abi_check:	$(HEADERS_ABI) drizzle_version.h mysql_h.ic
+	@set -ex; \
+	if test "x@ICHECK@" != "xno"  ; then \
+		@ICHECK@ --canonify --skip-from-re /usr/ -o $@ $(HEADERS_ABI); \
+		@ICHECK@ --compare drizzle_h.ic $@; \
+	fi; \
+	touch abi_check;
 

